Package org.apache.lucene.util

## Interface IOUtils.IOConsumer<T>

- All Known Subinterfaces:
    `IOConsumer<T>`
  Enclosing class:
    IOUtils
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      @Deprecated(forRemoval=true,
                  since="9.1")
      public static interface IOUtils.IOConsumer<T>

  Deprecated, for removal: This API element is subject to removal in a future version.
  was replaced by `IOConsumer`.
  An IO operation with a single input.
  See Also:
    `Consumer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(T input)` | Deprecated, for removal: This API element is subject to removal in a future version. Performs this operation on the given argument.

- - ### Method Detail

    - #### accept

          void accept​(T input)
               throws IOException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Performs this operation on the given argument.
      Throws:
        `IOException`